## djangorestframework 2.3.12

=== docs/requirements.txt ===
markdown>=2.1.0

=== debian/changelog ===
djangorestframework (2.3.12-1) unstable; urgency=medium

  * New upstream release
  * Fixed FTBFS with django 1.6 (Closes: #729829)
  * debian/control
    - Update Standards-Version.
    - Update X-Python-Version 2.6 to 2.7.
    - Append dependency to python-djangorestframework-doc
      * python-markdown to Depends
    - Append dependency to python-djangorestframework
      * Depends, Build-Depends
        - python-django-guardian, python-oauth2, python-django-oauth-plus
      * quilt to Build-Depends.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 24 Jan 2014 00:03:39 +0900

djangorestframework (2.3.7-2) unstable; urgency=low

  * Append dependency to python-djangorestframework (Closes: #723820)
    - debian/control: Append "Suggests: python-djangorestframework-doc"
    - Thanks to Ben Finney <ben+debian@benfinney.id.au> for reporting.
  * Change depends on python-django-filters (Closes: #723824)
    - debian/control: change "django-filter" to "python-django-filters"
    - Thanks to Ben Finney <ben+debian@benfinney.id.au> for reporting.
  * Change some dependencies to Recommends in python-djangorestframework
    - debian/control:
      * Move python-yaml, python-defusedxml, python-django-filters
        to Recommends.
      * Append python-markdown to Recommends.
      * Append python-defusedxml, python-django-filters to Build-Depends.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 27 Sep 2013 18:43:28 +0900

djangorestframework (2.3.7-1) unstable; urgency=low

  * Initial release (Closes: #717551)
  * debian/patches:
    - change_resouce_path_of_html_documents.patch
    - fixes_layout.patch
    - remove_google_analytics.patch
    - append_uncompressed_js_libraries.patch

 -- Kouhei Maeda <mkouhei@palmtb.net>  Tue, 03 Sep 2013 18:57:28 +0900

=== debian/control ===
Source: djangorestframework
Section: python
Priority: optional
Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
Build-Depends: debhelper (>= 8.0.0),
               python-all (>= 2.6.5),
               python-setuptools,
               python-django (>= 1.3),
               python-markdown (>= 2.1.0),
               python-defusedxml (>= 0.3),
               python-django-filters (>= 0.5.4),
               python-django-guardian (>= 1.1.1),
               python-oauth2 (>= 1.5.211),
               python-django-oauth-plus (>= 2.2.1),
               quilt
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
Homepage: http://django-rest-framework.org

Package: python-djangorestframework
Architecture: all
Provides: ${python:Provides}
Depends: ${python:Depends},
         ${misc:Depends},
         python-django (>= 1.3),
         libjs-twitter-bootstrap,
         libjs-jquery
Recommends: python-yaml (>= 3.10),
            python-defusedxml (>= 0.3),
            python-django-filters (>= 0.5.4),
            python-django-guardian (>= 1.1.1),
            python-markdown (>= 2.1.0),
            python-oauth2 (>= 1.5.211),
            python-django-oauth-plus (>= 2.2.1)
Suggests: python-djangorestframework-doc
Description: Web APIs for Django, made easy
 powerful and flexible toolkit that makes it easy to build Web APIs.
 Some reasons you might want to use REST framework:
  * The Web browseable API is a huge useability win for your developers.
  * Authentication policies including OAuth1a and OAuth2 out of the box.
  * Serialization that supports both ORM and non-ORM data sources.
  * Customizable all the way down - just use regular function-based views if you
    don't need the more powerful features.
  * Extensive documentation, and great community support.

Package: python-djangorestframework-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-twitter-bootstrap, libjs-jquery, python-markdown (>= 2.1.0)
Description: Web APIs for Django, made easy (documentation)
 powerful and flexible toolkit that makes it easy to build Web APIs.
 Some reasons you might want to use REST framework:
  * The Web browseable API is a huge useability win for your developers.
  * Authentication policies including OAuth1a and OAuth2 out of the box.
  * Serialization that supports both ORM and non-ORM data sources.
  * Customizable all the way down - just use regular function-based views if you
    don't need the more powerful features.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

%:
	dh $@ --with python2,quilt

override_dh_auto_build:
	python setup.py build

	# Build the HTML documentation.
	mkdir $(CURDIR)/docs.debian
	$(CURDIR)/mkdocs.py && \
	mv html docs.debian/

override_dh_auto_test:
	set -e ; \
	python $(CURDIR)/rest_framework/runtests/runtests.py

override_dh_auto_install:
	python setup.py install --no-compile -O0 --install-layout=deb \
		--root $(CURDIR)/debian/python-djangorestframework

override_dh_auto_clean:
	dh_clean
	find $(CURDIR) -name "*.pyc" -delete
	rm -rf $(CURDIR)/build
	rm -rf $(CURDIR)/djangorestframework.egg-info
	rm -rf docs.debian

## djangorestframework 2.3.14

=== debian/changelog ===
djangorestframework (2.3.14-1) unstable; urgency=medium

  * New upstream release

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sat, 19 Jul 2014 15:10:40 +0900

djangorestframework (2.3.13-2) unstable; urgency=medium

  * Fixed FTBFS No module named xmlrunner.extra.djangotestrunner
   (Closes: #747957) 
    - Append python-xmlrunner to Build-Depends.
  * Fixed source-is-missing docs/js/prettify-1.0.js.
    - Uncompressed file is included in append_uncompressed_js_libraries.patch,
      but lintian is not detect file (docs/js/prettify-1.0-uncompressed.js).
    - So added prettify-1.0.js uncompressed file to debian/missing-sources/.
  * Added debian/patches/remove_remote_resources.patch.
  * Fixed image-file-in-usr-lib.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 11 Jun 2014 12:21:13 +0900

djangorestframework (2.3.13-1) unstable; urgency=medium

  * New upstream release
  * Append dependency to python-djangorestframework
    - python-pil to Build-Depends, Depends.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 14 Mar 2014 00:34:32 +0900

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,8 @@
                python-django-guardian (>= 1.1.1),
                python-oauth2 (>= 1.5.211),
                python-django-oauth-plus (>= 2.2.1),
+               python-pil,
+               python-xmlrunner,
                quilt
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.7
@@ -31,7 +33,8 @@
             python-django-guardian (>= 1.1.1),
             python-markdown (>= 2.1.0),
             python-oauth2 (>= 1.5.211),
-            python-django-oauth-plus (>= 2.2.1)
+            python-django-oauth-plus (>= 2.2.1),
+            python-pil
 Suggests: python-djangorestframework-doc
 Description: Web APIs for Django, made easy
  powerful and flexible toolkit that makes it easy to build Web APIs.

## djangorestframework 2.4.3

=== debian/changelog ===
djangorestframework (2.4.3-2) unstable; urgency=medium

  * Supported Python3 (Closes: #756886)
    - Appended python3-djangorestframework.
  * debian/control
    - Build-Depends
      * Appended: python3-all, python3-setuptools, python3-django,
        python3-markdown, python3-defusedxml, python3-django-filters,
        python3-django-guardian, dh-python.
      * Removed: quilt.
    - Updated dependencies of python-django >= 1.3 to >= 1.4.2.
  * debian/rules
    - Updated for using pybuild.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Mon, 13 Oct 2014 16:03:47 +0900

djangorestframework (2.4.3-1) unstable; urgency=medium

  * New upstream release
  * Ensure it works with Django 1.7 (Closes: #755616)
  * debian/control
    - Standards-Version: Bump version to 3.9.6.
  * Deleted debian/patches/disable-oauth2-and-oauth-provider.patch.
    - Upstream changed supports OAuth.
  * debian/rules
    - Changed run_tests.py path at override_dh_auto_test.
  * Added debian/run_tests.py, debian/test_settings.py
    - For override_dh_auto_test.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Mon, 13 Oct 2014 09:45:40 +0900

djangorestframework (2.3.14-3) unstable; urgency=medium

  * Fixed Broken symlink for grid.png (Closes: #760548) 
    - debian/rules
      * Appended override_dh_python2 target.
    - Thanks for Michael Fladischer <FladischerMichael@fladi.at>

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 05 Sep 2014 19:00:17 +0900

djangorestframework (2.3.14-2) unstable; urgency=medium

  * Fixed depends on insecure and unmaintained python-oauth2 (Closes: #758387)
    - Dropped dependencies of python-oauth2, python-django-oauth-plus.
    - Added debian/patches/disable-oauth2-and-oauth-provider.patch.
    - Thanks for Brian May <brian@microcomaustralia.com.au>

 -- Kouhei Maeda <mkouhei@palmtb.net>  Thu, 04 Sep 2014 14:22:37 +0900

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,24 @@
 Priority: optional
 Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
 Build-Depends: debhelper (>= 8.0.0),
+               dh-python,
                python-all (>= 2.6.5),
                python-setuptools,
-               python-django (>= 1.3),
+               python-django (>= 1.4.2),
                python-markdown (>= 2.1.0),
                python-defusedxml (>= 0.3),
                python-django-filters (>= 0.5.4),
                python-django-guardian (>= 1.1.1),
-               python-oauth2 (>= 1.5.211),
-               python-django-oauth-plus (>= 2.2.1),
                python-pil,
                python-xmlrunner,
-               quilt
-Standards-Version: 3.9.5
+               python3-all (>= 3.2),
+               python3-setuptools,
+               python3-django (>= 1.4.2),
+               python3-markdown (>= 2.1.0),
+               python3-defusedxml (>= 0.3),
+               python3-django-filters (>= 0.5.4),
+               python3-django-guardian (>= 1.1.1)
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: http://django-rest-framework.org
 
@@ -24,7 +29,7 @@
 Provides: ${python:Provides}
 Depends: ${python:Depends},
          ${misc:Depends},
-         python-django (>= 1.3),
+         python-django (>= 1.4.2),
          libjs-twitter-bootstrap,
          libjs-jquery
 Recommends: python-yaml (>= 3.10),
@@ -32,8 +37,6 @@
             python-django-filters (>= 0.5.4),
             python-django-guardian (>= 1.1.1),
             python-markdown (>= 2.1.0),
-            python-oauth2 (>= 1.5.211),
-            python-django-oauth-plus (>= 2.2.1),
             python-pil
 Suggests: python-djangorestframework-doc
 Description: Web APIs for Django, made easy
@@ -61,3 +64,27 @@
  .
  This package contains the HTML documentation.
 
+Package: python3-djangorestframework
+Architecture: all
+Depends: ${python3:Depends},
+         ${misc:Depends},
+         python3-django (>= 1.4.2),
+         libjs-twitter-bootstrap,
+         libjs-jquery
+Recommends: python3-defusedxml (>= 0.3),
+            python3-django-filters (>= 0.5.4),
+            python3-django-guardian (>= 1.1.1),
+            python3-markdown (>= 2.1.0),
+            python3-pil
+Suggests: python-djangorestframework-doc
+Description: Web APIs for Django, made easy for Python3
+ For Python3.
+ powerful and flexible toolkit that makes it easy to build Web APIs.
+ Some reasons you might want to use REST framework:
+  * The Web browseable API is a huge useability win for your developers.
+  * Authentication policies including OAuth1a and OAuth2 out of the box.
+  * Serialization that supports both ORM and non-ORM data sources.
+  * Customizable all the way down - just use regular function-based views if you
+    don't need the more powerful features.
+  * Extensive documentation, and great community support.
+

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

PYVER := $(shell pyversions -d)
export PYBUILD_NAME=djangorestframework

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build

	# Build the HTML documentation.
	mkdir $(CURDIR)/docs.debian
	$(CURDIR)/mkdocs.py && \
	mv html docs.debian/

override_dh_python3:
	dh_python3
	set -e 
	install -d $(CURDIR)/debian/python3-djangorestframework/usr/share/doc/python3-djangorestframework/img/
	mv -f $(CURDIR)/debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/img/grid.png \
	$(CURDIR)/debian/python3-djangorestframework/usr/share/doc/python3-djangorestframework/img/

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/debian/run_tests.py" \
	dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs.debian

## djangorestframework 3.3.2

=== debian/changelog ===
djangorestframework (3.3.2-2) unstable; urgency=medium

  * Fix FTBFS by setting LC_CTYPE and LC_ALL. Closes: #812672.

 -- Brian May <bam@debian.org>  Tue, 26 Jan 2016 15:50:22 +1100

djangorestframework (3.3.2-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Sun, 03 Jan 2016 13:54:05 +1100

djangorestframework (3.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Thu, 19 Nov 2015 08:24:02 +1100

djangorestframework (3.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Fri, 30 Oct 2015 20:05:35 +1100

djangorestframework (3.2.2-1) unstable; urgency=medium

  * New upstream version.
  * Python 3.5 fix applied.
  * Builds fine with Django1.8. Closes: #801927.

 -- Brian May <bam@debian.org>  Mon, 17 Aug 2015 16:28:00 +1000

djangorestframework (3.0.5-2) unstable; urgency=medium

  * Add VCS-* headers.

 -- Brian May <bam@debian.org>  Mon, 17 Aug 2015 13:41:15 +1000

djangorestframework (3.0.5-1) unstable; urgency=medium

  * Change maintainer to make package DPMT maintained, with permission of
    current maintainer - see #756886.

 -- Brian May <bam@debian.org>  Fri, 07 Aug 2015 10:42:13 +1000

djangorestframework (3.0.5-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Fix broken links to media files. Remove debian/*.links, these symlinks are
    no longer relevant.

 -- Brian May <bam@debian.org>  Mon, 16 Mar 2015 14:20:11 +1100

djangorestframework (3.0.5-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Brian May <bam@debian.org>  Sun, 15 Mar 2015 18:49:15 +1100

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,40 @@
 Source: djangorestframework
 Section: python
 Priority: optional
-Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 8.0.0),
-               dh-python,
+               dh-python, mkdocs,
                python-all (>= 2.6.5),
                python-setuptools,
                python-django (>= 1.4.2),
-               python-markdown (>= 2.1.0),
                python-defusedxml (>= 0.3),
                python-django-filters (>= 0.5.4),
                python-django-guardian (>= 1.1.1),
                python-pil,
+               python-pytest,
+               python-pytest-django,
                python-xmlrunner,
                python3-all (>= 3.2),
                python3-setuptools,
                python3-django (>= 1.4.2),
-               python3-markdown (>= 2.1.0),
                python3-defusedxml (>= 0.3),
                python3-django-filters (>= 0.5.4),
-               python3-django-guardian (>= 1.1.1)
+               python3-django-guardian (>= 1.1.1),
+               python3-pytest,
+               python3-pytest-django,
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: http://django-rest-framework.org
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/djangorestframework.git
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/djangorestframework.git
 
 Package: python-djangorestframework
 Architecture: all
 Provides: ${python:Provides}
 Depends: ${python:Depends},
          ${misc:Depends},
-         python-django (>= 1.4.2),
-         libjs-twitter-bootstrap,
-         libjs-jquery
+         python-django (>= 1.4.2)
 Recommends: python-yaml (>= 3.10),
             python-defusedxml (>= 0.3),
             python-django-filters (>= 0.5.4),
@@ -52,7 +55,7 @@
 Package: python-djangorestframework-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-twitter-bootstrap, libjs-jquery, python-markdown (>= 2.1.0)
+Depends: ${misc:Depends}, python-markdown (>= 2.1.0)
 Description: Web APIs for Django, made easy (documentation)
  powerful and flexible toolkit that makes it easy to build Web APIs.
  Some reasons you might want to use REST framework:
@@ -68,9 +71,7 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-django (>= 1.4.2),
-         libjs-twitter-bootstrap,
-         libjs-jquery
+         python3-django (>= 1.4.2)
 Recommends: python3-defusedxml (>= 0.3),
             python3-django-filters (>= 0.5.4),
             python3-django-guardian (>= 1.1.1),

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,7 @@
 
 	# Build the HTML documentation.
 	mkdir $(CURDIR)/docs.debian
-	$(CURDIR)/mkdocs.py && \
-	mv html docs.debian/
+	LC_ALL=C.UTF-8 mkdocs build && mv site docs.debian/html
 
 override_dh_python3:
 	dh_python3
@@ -25,7 +24,7 @@
 
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/debian/run_tests.py" \
+	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/runtests.py --nolint" \
 	dh_auto_test
 
 override_dh_auto_clean:

## djangorestframework 3.4.0

=== debian/changelog ===
djangorestframework (3.4.0-2) unstable; urgency=medium

  * Don't move grid.png to wrong spot in python3 package. Closes: #858811.

 -- Brian May <bam@debian.org>  Mon, 27 Mar 2017 18:15:43 +1100

djangorestframework (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 3.9.8
  * Update source for jquery-1.12.4.js
  * Fix FTBFS. Closes: #830633.

 -- Brian May <bam@debian.org>  Fri, 15 Jul 2016 19:44:22 +1000

=== debian/control ===
--- 
+++ 
@@ -23,11 +23,11 @@
                python3-django-guardian (>= 1.1.1),
                python3-pytest,
                python3-pytest-django,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.7
 Homepage: http://django-rest-framework.org
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/djangorestframework.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/djangorestframework.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/djangorestframework.git
 
 Package: python-djangorestframework
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

PYVER := $(shell pyversions -d)
export PYBUILD_NAME=djangorestframework

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build

	# Build the HTML documentation.
	mkdir $(CURDIR)/docs.debian
	LC_ALL=C.UTF-8 PYTHONPATH=/usr/share/mkdocs/themes mkdocs build && mv site docs.debian/html

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/runtests.py --nolint" \
	dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs.debian

## djangorestframework 3.7.7

=== debian/changelog ===
djangorestframework (3.7.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version: 3.7.7. (Closes: #865588, #880558)
  * Add d/patches/0003 to fix a lot of privacy breaches
  * d/contrib/docs/img/whole-structure.jpg added
  * d/control:
    - dh dependency to 11
    - Add missing build dependency on python3?-coreapi
    - Tidy all dependencies and versions
    - Add dependencies on javascript/fonts libraries to fit d/rules needs
  * d/compat to 11
  * d/copyright:
    - Use https link for copyright format
    - Updates of years, and adding the contrib/ image
  * d/rules:
    - Add rules to remove embedded contents that are packaged and link to the
      packaged ones.
    - Add upstream's changelog to the packages
  * d/python-djangorestframework-doc.doc-base:
    - Fixes file paths since d/compat is to 11
  * d/missing-sources:
    - Removes jquery 1.11.3
    - Add missing sources, and cleans a lintian error that is not fixable.

 -- Pierre-Elliott Bécue <becue@crans.org>  Sat, 03 Feb 2018 16:31:01 +0100

=== debian/control ===
Source: djangorestframework
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               mkdocs (>= 0.16.3),
               python-all,
               python-coreapi,
               python-defusedxml (>= 0.3),
               python-django,
               python-django-filters (>= 1.1.0),
               python-django-guardian (>= 1.4.9),
               python-pil,
               python-pytest (>= 3.2),
               python-pytest-cov (>= 2.5.1),
               python-pytest-django (>= 3.1.2),
               python-setuptools,
               python-xmlrunner,
               python3-all,
               python3-coreapi,
               python3-defusedxml (>= 0.3),
               python3-django,
               python3-django-filters (>= 1.1.0),
               python3-django-guardian (>= 1.4.9),
               python3-pytest (>= 3.2),
               python3-pytest-cov (>= 2.5.1),
               python3-pytest-django (>= 3.1.2),
               python3-setuptools
Standards-Version: 4.1.3
Homepage: http://django-rest-framework.org
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/djangorestframework.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/djangorestframework.git

Package: python-djangorestframework
Architecture: all
Provides: ${python:Provides}
Depends: fonts-font-awesome,
         fonts-glewlwyd,
         libjs-jquery,
         python-django,
         ${misc:Depends},
         ${python:Depends}
Recommends: python-django-filters (>= 1.1.0),
            python-django-guardian (>= 1.4.9),
            python-markdown (>= 2.6.4)
Suggests: python-djangorestframework-doc
Description: Web APIs for Django, made easy
 powerful and flexible toolkit that makes it easy to build Web APIs.
 Some reasons you might want to use REST framework:
  * The Web browseable API is a huge useability win for your developers.
  * Authentication policies including OAuth1a and OAuth2 out of the box.
  * Serialization that supports both ORM and non-ORM data sources.
  * Customizable all the way down - just use regular function-based views if you
    don't need the more powerful features.
  * Extensive documentation, and great community support.

Package: python-djangorestframework-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         libjs-mustache,
         python-markdown (>= 2.6.4),
         ${misc:Depends}
Description: Web APIs for Django, made easy (documentation)
 powerful and flexible toolkit that makes it easy to build Web APIs.
 Some reasons you might want to use REST framework:
  * The Web browseable API is a huge useability win for your developers.
  * Authentication policies including OAuth1a and OAuth2 out of the box.
  * Serialization that supports both ORM and non-ORM data sources.
  * Customizable all the way down - just use regular function-based views if you
    don't need the more powerful features.
 .
 This package contains the HTML documentation.

Package: python3-djangorestframework
Architecture: all
Depends: fonts-font-awesome,
         fonts-glewlwyd,
         libjs-jquery,
         python3-django,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-django-filters (>= 1.1.0),
            python3-django-guardian (>= 1.4.9),
            python3-markdown (>= 2.6.4)
Suggests: python-djangorestframework-doc
Description: Web APIs for Django, made easy for Python3
 For Python3.
 powerful and flexible toolkit that makes it easy to build Web APIs.
 Some reasons you might want to use REST framework:
  * The Web browseable API is a huge useability win for your developers.
  * Authentication policies including OAuth1a and OAuth2 out of the box.
  * Serialization that supports both ORM and non-ORM data sources.
  * Customizable all the way down - just use regular function-based views if you
    don't need the more powerful features.
  * Extensive documentation, and great community support.

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,55 @@
 	mkdir $(CURDIR)/docs.debian
 	LC_ALL=C.UTF-8 PYTHONPATH=/usr/share/mkdocs/themes mkdocs build && mv site docs.debian/html
 
+override_dh_auto_install:
+	dh_auto_install
+	# Don't embed what's already provided elsewhere
+	# Python package:
+	find debian/python-djangorestframework -name 'jquery-1.10.2.min.js' -type f -exec \
+		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
+	find debian/python-djangorestframework -name 'jquery-1.12.4.min.js' -type f -exec \
+		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
+	find debian/python-djangorestframework -name 'fontawesome-webfont.ttf' -type f -exec \
+		ln -sf /usr/share/glewlwyd/webapp/fonts/fontawesome-webfont.ttf {} \;
+	find debian/python-djangorestframework -name 'glyphicons-halflings-regular.ttf' -type f -exec \
+		ln -sf /usr/share/glewlwyd/webapp/fonts/glyphicons-halflings-regular.ttf {} \;
+	find debian/python-djangorestframework -name 'fontawesome-webfont.eot' -type f -exec \
+		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.eot {} \;
+	find debian/python-djangorestframework -name 'fontawesome-webfont.svg' -type f -exec \
+		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.svg {} \;
+	find debian/python-djangorestframework -name 'fontawesome-webfont.ttf' -type f -exec \
+		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.ttf {} \;
+	find debian/python-djangorestframework -name 'fontawesome-webfont.woff' -type f -exec \
+		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.woff {} \;
+	
+	# Python3 package:
+	find debian/python3-djangorestframework -name 'jquery-1.10.2.min.js' -type f -exec \
+		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
+	find debian/python3-djangorestframework -name 'jquery-1.12.4.min.js' -type f -exec \
+		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
+	find debian/python3-djangorestframework -name 'fontawesome-webfont.ttf' -type f -exec \
+		ln -sf /usr/share/glewlwyd/webapp/fonts/fontawesome-webfont.ttf {} \;
+	find debian/python3-djangorestframework -name 'glyphicons-halflings-regular.ttf' -type f -exec \
+		ln -sf /usr/share/glewlwyd/webapp/fonts/glyphicons-halflings-regular.ttf {} \;
+	find debian/python3-djangorestframework -name 'fontawesome-webfont.eot' -type f -exec \
+		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.eot {} \;
+	find debian/python3-djangorestframework -name 'fontawesome-webfont.svg' -type f -exec \
+		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.svg {} \;
+	find debian/python3-djangorestframework -name 'fontawesome-webfont.ttf' -type f -exec \
+		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.ttf {} \;
+	find debian/python3-djangorestframework -name 'fontawesome-webfont.woff' -type f -exec \
+		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.woff {} \;
+	# Bootstrap
+	#find debian/python-django-postorius -name 'bootstrap.min.js' -type f -exec \
+	#	ln -sf /usr/share/javascript/bootstrap/js/bootstrap.min.js {} \;
+
+override_dh_installdocs:
+	dh_installdocs
+	find debian/python-djangorestframework-doc -name 'jquery-1.8.1-min.js' -type f -exec \
+		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
+	find debian/python-djangorestframework-doc -name 'mustache.min.js' -type f -exec \
+		ln -sf /usr/share/javascript/mustache/mustache.min.js {} \;
+
 override_dh_auto_test:
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/runtests.py --nolint" \
@@ -23,3 +72,6 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf docs.debian
+
+override_dh_installchangelogs:
+	dh_installchangelogs docs/topics/release-notes.md

## djangorestframework 3.8.2

=== debian/changelog ===
djangorestframework (3.8.2-2) unstable; urgency=medium

  * Team upload.
  * d/rules:
    - Remove duplicate symlinks
    - Remove all symlinks to font-awesome, as the newest version of
      font-awesome is not backward compatible. Use the package's embedded ones
      instead, for now.
    - Sets the fontawesome fonts permissions right (remove the executable bit)
  * d/control:
    - Remove bin-dependency on fonts-font-awesome package for now.
    - Bump Standards-Version to 4.1.4. No change required.
  * d/patches:
    - Patches rebased accordingly to the new release.

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 05 Jun 2018 13:27:06 +0200

djangorestframework (3.8.2-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Thu, 03 May 2018 17:30:32 +1000

djangorestframework (3.7.7-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Pierre-Elliott Bécue ]
  * Merge all patches

 -- Pierre-Elliott Bécue <becue@crans.org>  Mon, 12 Mar 2018 20:47:33 +0100

=== debian/control ===
--- 
+++ 
@@ -28,16 +28,15 @@
                python3-pytest-cov (>= 2.5.1),
                python3-pytest-django (>= 3.1.2),
                python3-setuptools
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://django-rest-framework.org
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/djangorestframework.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/djangorestframework.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/djangorestframework
+Vcs-Git: https://salsa.debian.org/python-team/modules/djangorestframework.git
 
 Package: python-djangorestframework
 Architecture: all
 Provides: ${python:Provides}
-Depends: fonts-font-awesome,
-         fonts-glewlwyd,
+Depends: fonts-glewlwyd,
          libjs-jquery,
          python-django,
          ${misc:Depends},
@@ -76,8 +75,7 @@
 
 Package: python3-djangorestframework
 Architecture: all
-Depends: fonts-font-awesome,
-         fonts-glewlwyd,
+Depends: fonts-glewlwyd,
          libjs-jquery,
          python3-django,
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

PYVER := $(shell pyversions -d)
export PYBUILD_NAME=djangorestframework

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build

	# Build the HTML documentation.
	mkdir $(CURDIR)/docs.debian
	LC_ALL=C.UTF-8 PYTHONPATH=/usr/share/mkdocs/themes mkdocs build && mv site docs.debian/html

override_dh_auto_install:
	dh_auto_install
	# Don't embed what's already provided elsewhere
	# Python package:
	find debian/python-djangorestframework -name 'jquery-1.10.2.min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
	find debian/python-djangorestframework -name 'jquery-1.12.4.min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
	find debian/python-djangorestframework -name 'jquery-3.3.1.min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
	find debian/python-djangorestframework -name 'glyphicons-halflings-regular.ttf' -type f -exec \
		ln -sf /usr/share/glewlwyd/webapp/fonts/glyphicons-halflings-regular.ttf {} \;
#	find debian/python-djangorestframework -name 'fontawesome-webfont.eot' -type f -exec \
#		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.eot {} \;
#	find debian/python-djangorestframework -name 'fontawesome-webfont.svg' -type f -exec \
#		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.svg {} \;
#	find debian/python-djangorestframework -name 'fontawesome-webfont.ttf' -type f -exec \
#		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.ttf {} \;
#	find debian/python-djangorestframework -name 'fontawesome-webfont.woff' -type f -exec \
#		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.woff {} \;
	
	# Python3 package:
	find debian/python3-djangorestframework -name 'jquery-1.10.2.min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
	find debian/python3-djangorestframework -name 'jquery-1.12.4.min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
	find debian/python3-djangorestframework -name 'jquery-3.3.1.min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
	find debian/python3-djangorestframework -name 'glyphicons-halflings-regular.ttf' -type f -exec \
		ln -sf /usr/share/glewlwyd/webapp/fonts/glyphicons-halflings-regular.ttf {} \;
#	find debian/python3-djangorestframework -name 'fontawesome-webfont.eot' -type f -exec \
#		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.eot {} \;
#	find debian/python3-djangorestframework -name 'fontawesome-webfont.svg' -type f -exec \
#		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.svg {} \;
#	find debian/python3-djangorestframework -name 'fontawesome-webfont.ttf' -type f -exec \
#		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.ttf {} \;
#	find debian/python3-djangorestframework -name 'fontawesome-webfont.woff' -type f -exec \
#		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.woff {} \;
	# Bootstrap
	#find debian/python-django-postorius -name 'bootstrap.min.js' -type f -exec \
	#	ln -sf /usr/share/javascript/bootstrap/js/bootstrap.min.js {} \;

override_dh_installdocs:
	dh_installdocs
	find debian/python-djangorestframework-doc -name 'jquery-1.8.1-min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
	find debian/python-djangorestframework-doc -name 'mustache.min.js' -type f -exec \
		ln -sf /usr/share/javascript/mustache/mustache.min.js {} \;

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/runtests.py --nolint" \
	dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs.debian

override_dh_installchangelogs:
	dh_installchangelogs docs/topics/release-notes.md

override_dh_fixperms:
	dh_fixperms
	chmod a-x debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/fonts/fontawesome*
	chmod a-x debian/python-djangorestframework/usr/lib/python2.7/dist-packages/rest_framework/static/rest_framework/fonts/fontawesome*

## djangorestframework 3.9.0

=== requirements.txt ===
# The base set of requirements for REST framework is actually
# just Django, but for the purposes of development and testing
# there are a number of packages that are useful to install.

# Laying these out as seperate requirements files, allows us to
# only included the relevent sets when running tox, and ensures
# we are only ever declaring our dependencies in one place.

-r requirements/requirements-optionals.txt
-r requirements/requirements-testing.txt
-r requirements/requirements-documentation.txt
-r requirements/requirements-codestyle.txt
-r requirements/requirements-packaging.txt

=== debian/changelog ===
djangorestframework (3.9.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.
  * Bump the minimal version for the python3-pytest-django B-D.
  * Fix tests for Django 2.2.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 08 Aug 2019 10:42:00 +0500

djangorestframework (3.9.0-1) unstable; urgency=medium

  * Team upload

  [ Pierre-Elliott Bécue ]
  * New upstream release: 3.9.0
    - d/control:
      + Add python{,3}-yaml as a build-dependency
      + Add python{,3}-yaml as a Recommend
      + Add python{,3}-psycopg2 as a Recommend
    - d/rules:
      + changelog moved from docs/topics/release-notes.md
        to docs/community/release-notes.md
    - Updated patches
  * d/control:
    - Bump Standards-Version to 4.2.1.
  * d/rules:
    - Replace the fonts in dh_python{2,3} to make sure the links are in the
      appropriate /usr/lib/pythonX dirs
  * d/s/lintian-overrides:
    - Remove wildcard source-is-missing

  [ Dmitry Shachnev ]
  * Use the default mkdocs theme, the custom one is incompatible with
    mkdocs 1.0 (closes: #916621).
  * Use dh_mkdocs for symlinking static files.

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 25 Dec 2018 01:20:40 +0100

=== debian/control ===
Source: djangorestframework
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Brian May <bam@debian.org>
Build-Depends: debhelper-compat (= 11),
               dh-python,
               mkdocs (>= 1.0.4),
               python3-all,
               python3-coreapi,
               python3-defusedxml (>= 0.3),
               python3-django,
               python3-django-filters (>= 1.1.0),
               python3-django-guardian (>= 1.4.9),
               python3-pytest (>= 3.6.2),
               python3-pytest-cov (>= 2.5.1),
               python3-pytest-django (>= 3.5.1),
               python3-setuptools,
               python3-yaml
Standards-Version: 4.2.1
Homepage: http://django-rest-framework.org
Vcs-Browser: https://salsa.debian.org/python-team/modules/djangorestframework
Vcs-Git: https://salsa.debian.org/python-team/modules/djangorestframework.git

Package: python-djangorestframework-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${mkdocs:Depends}
Description: Web APIs for Django, made easy (documentation)
 powerful and flexible toolkit that makes it easy to build Web APIs.
 Some reasons you might want to use REST framework:
  * The Web browseable API is a huge useability win for your developers.
  * Authentication policies including OAuth1a and OAuth2 out of the box.
  * Serialization that supports both ORM and non-ORM data sources.
  * Customizable all the way down - just use regular function-based views if you
    don't need the more powerful features.
 .
 This package contains the HTML documentation.

Package: python3-djangorestframework
Architecture: all
Depends: fonts-glewlwyd,
         libjs-jquery,
         python3-django,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-coreapi (>= 2.3.3),
            python3-coreschema (>= 0.0.4),
            python3-django-filters (>= 1.1.0),
            python3-django-guardian (>= 1.4.9),
            python3-markdown (>= 2.6.11),
            python3-psycopg2 (>= 2.7.5),
            python3-yaml
Suggests: python-djangorestframework-doc
Description: Web APIs for Django, made easy for Python3
 For Python3.
 powerful and flexible toolkit that makes it easy to build Web APIs.
 Some reasons you might want to use REST framework:
  * The Web browseable API is a huge useability win for your developers.
  * Authentication policies including OAuth1a and OAuth2 out of the box.
  * Serialization that supports both ORM and non-ORM data sources.
  * Customizable all the way down - just use regular function-based views if you
    don't need the more powerful features.
  * Extensive documentation, and great community support.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

export PYBUILD_NAME=djangorestframework

%:
	dh $@ --with mkdocs,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build

	# Build the HTML documentation.
	mkdir $(CURDIR)/docs.debian
	LC_ALL=C.UTF-8 PYTHONPATH=/usr/share/mkdocs/themes mkdocs build && mv site docs.debian/html

override_dh_python3:
	dh_python3
	# Don't embed what's already provided elsewhere
	# Python3 package:
	find debian/python3-djangorestframework -name 'jquery-1.10.2.min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
	find debian/python3-djangorestframework -name 'jquery-1.12.4.min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
	find debian/python3-djangorestframework -name 'jquery-3.3.1.min.js' -type f -exec \
		ln -sf /usr/share/javascript/jquery/jquery.min.js {} \;
	find debian/python3-djangorestframework -name 'glyphicons-halflings-regular.ttf' -type f -exec \
		ln -sf /usr/share/glewlwyd/webapp/fonts/glyphicons-halflings-regular.ttf {} \;
#	find debian/python3-djangorestframework -name 'fontawesome-webfont.eot' -type f -exec \
#		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.eot {} \;
#	find debian/python3-djangorestframework -name 'fontawesome-webfont.svg' -type f -exec \
#		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.svg {} \;
	find debian/python3-djangorestframework -name 'fontawesome-webfont.ttf' -type f -exec \
		ln -sf /usr/share/glewlwyd/webapp/fonts/fontawesome-webfont.ttf {} \;
#	find debian/python3-djangorestframework -name 'fontawesome-webfont.woff' -type f -exec \
#		ln -sf /usr/share/fonts-font-awesome/fonts/fontawesome-webfont.woff {} \;
	# Bootstrap
	#find debian/python-django-postorius -name 'bootstrap.min.js' -type f -exec \
	#	ln -sf /usr/share/javascript/bootstrap/js/bootstrap.min.js {} \;

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} $(CURDIR)/runtests.py --nolint" \
	dh_auto_test

override_dh_auto_clean:
	dh_auto_clean
	rm -rf docs.debian

override_dh_installchangelogs:
	dh_installchangelogs docs/community/release-notes.md

override_dh_fixperms:
	dh_fixperms
	find debian/python3-djangorestframework/usr/lib/python3/dist-packages/rest_framework/static/rest_framework/fonts/ -type f -exec \
		chmod a-x {} \;

override_dh_installdocs:
	dh_installdocs -ppython-djangorestframework-doc --doc-main-package=python3-djangorestframework
	dh_installdocs --remaining-packages

## djangorestframework 3.10.2

=== debian/changelog ===
djangorestframework (3.10.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.10.2
  * Refresh patches
    * 0002-Clean-all-privacy-breaches-in-the-package.patch: remove new privacy
      breach from docs_theme/main.html
  * debian/missing-sources: update jquery
  * debian/rules: remove 404.html from installed documentation
    - it contains a few privacy breaches, but also is unused in local
      documentation
  * debian/control: Bump Standards-Version; no changes needed otherwise
  * debian/tests/control: add autopkgtest control file to run test suite
    against installed package

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 09 Oct 2019 18:52:24 -0300

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-pytest-django (>= 3.5.1),
                python3-setuptools,
                python3-yaml
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://django-rest-framework.org
 Vcs-Browser: https://salsa.debian.org/python-team/modules/djangorestframework
 Vcs-Git: https://salsa.debian.org/python-team/modules/djangorestframework.git

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	# Build the HTML documentation.
 	mkdir $(CURDIR)/docs.debian
 	LC_ALL=C.UTF-8 PYTHONPATH=/usr/share/mkdocs/themes mkdocs build && mv site docs.debian/html
+	$(RM) docs.debian/html/404.html
 
 override_dh_python3:
 	dh_python3

=== debian/tests/control ===
Test-Command: cp -r tests $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP && pytest-3
Depends: @, python3-pytest, python3-pytest-django
Features: test-name=testsuite

=== debian/watch ===
version=3
https://github.com/tomchristie/django-rest-framework/tags .*/(\d[\d\.]+)\.tar\.gz

## djangorestframework 3.11.0

=== debian/changelog ===
djangorestframework (3.11.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Rename MIT license to Expat.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.0.
  * Use dh_link to replace assets (fonts, css, js) which are already
    packaged.
  * Depend on fonts-font-awesome and fonts-glyphicons-halflings, drop
    fonts-glewlwyd (Closes: #962882).
  * Depend on libjs-prettify.
  * Fixing permissions for font file no longer necessary, drop
    override_dh_fixperms.
  * Clean up files to allow two builds in a row.
  * Set Rules-Requires-Root: no.
  * Add patch to fix asset names for packaged files.
  * Replace glyphicons in doc package with symlinks to the packaged
    font.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Sun, 05 Jul 2020 11:00:13 +0200

=== debian/control ===
Source: djangorestframework
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Brian May <bam@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 mkdocs (>= 1.0.4),
 python3-all,
 python3-coreapi,
 python3-defusedxml (>= 0.3),
 python3-django,
 python3-django-filters (>= 1.1.0),
 python3-django-guardian (>= 1.4.9),
 python3-pytest (>= 3.6.2),
 python3-pytest-cov (>= 2.5.1),
 python3-pytest-django (>= 3.5.1),
 python3-setuptools,
 python3-yaml,
Standards-Version: 4.5.0
Homepage: http://django-rest-framework.org
Vcs-Browser: https://salsa.debian.org/python-team/modules/djangorestframework
Vcs-Git: https://salsa.debian.org/python-team/modules/djangorestframework.git
Rules-Requires-Root: no

Package: python-djangorestframework-doc
Section: doc
Architecture: all
Depends:
 fonts-glyphicons-halflings,
 ${misc:Depends},
 ${mkdocs:Depends},
Description: Web APIs for Django, made easy (documentation)
 powerful and flexible toolkit that makes it easy to build Web APIs.
 Some reasons you might want to use REST framework:
  * The Web browseable API is a huge useability win for your developers.
  * Authentication policies including OAuth1a and OAuth2 out of the box.
  * Serialization that supports both ORM and non-ORM data sources.
  * Customizable all the way down - just use regular function-based views if you
    don't need the more powerful features.
 .
 This package contains the HTML documentation.

Package: python3-djangorestframework
Architecture: all
Depends:
 fonts-font-awesome,
 fonts-glyphicons-halflings,
 libjs-jquery,
 libjs-prettify,
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-coreapi (>= 2.3.3),
 python3-coreschema (>= 0.0.4),
 python3-django-filters (>= 1.1.0),
 python3-django-guardian (>= 1.4.9),
 python3-markdown (>= 2.6.11),
 python3-psycopg2 (>= 2.7.5),
 python3-yaml,
Suggests:
 python-djangorestframework-doc,
Description: Web APIs for Django, made easy for Python3
 For Python3.
 powerful and flexible toolkit that makes it easy to build Web APIs.
 Some reasons you might want to use REST framework:
  * The Web browseable API is a huge useability win for your developers.
  * Authentication policies including OAuth1a and OAuth2 out of the box.
  * Serialization that supports both ORM and non-ORM data sources.
  * Customizable all the way down - just use regular function-based views if you
    don't need the more powerful features.
  * Extensive documentation, and great community support.
